public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-dicts/myspell-en/
Date: Fri, 18 Aug 2023 08:47:31 +0000 (UTC)	[thread overview]
Message-ID: <1692348255.341995f3cdbd5d18c31d146416f372f5bf9d15d7.ceamac@gentoo> (raw)

commit:     341995f3cdbd5d18c31d146416f372f5bf9d15d7
Author:     Alexander Kurakin <kuraga333 <AT> mail <DOT> ru>
AuthorDate: Sat Aug 12 11:45:30 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Fri Aug 18 08:44:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=341995f3

app-dicts/myspell-en: add 20230801

Closes: https://bugs.gentoo.org/912180
Signed-off-by: Alexander Kurakin <kuraga333 <AT> mail.ru>
Closes: https://github.com/gentoo/gentoo/pull/32270
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 app-dicts/myspell-en/Manifest                   |  1 +
 app-dicts/myspell-en/myspell-en-20230801.ebuild | 57 +++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-dicts/myspell-en/Manifest b/app-dicts/myspell-en/Manifest
index 60fe6ec31437..47cdf63e1b0e 100644
--- a/app-dicts/myspell-en/Manifest
+++ b/app-dicts/myspell-en/Manifest
@@ -2,3 +2,4 @@ DIST dict-en-20230401_lo.oxt 6100359 BLAKE2B 4a1b8bfa8e7987d0ba957d483ec55d3e1d7
 DIST dict-en-20230501_lo.oxt 6101115 BLAKE2B f0acdeccf1c4b58b7becabfd61167eb3f4767c5ae3da7ad752645cce49f3f3262219cfb08d373d02b49b67ddaff184102683c2981f4c28eb6b97d92961b07219 SHA512 bc8172f61cf3d18c0ac519f800b39ed69736e085d51251c60c527677552eefd4fe08e5b5e9fdba3a5856605ea44d3831901b00745f00f16146136d6e8376e4ee
 DIST dict-en-20230601_lo.oxt 6101573 BLAKE2B 22949c952b1545016b298056a46e08f09f5e2865fd7b626df125c055553e72f1ba27d6adcbb22cb9340803989ced44158d4e8ceb2344820b3cd8058864568e66 SHA512 d8f2ad124cea03888856e6b845d94f5df5002852025b28a7217a4d5809069b0c59bb3432766be4b82641e55f17cf76addb5def4669bc41eac4a22ad209453e71
 DIST dict-en-20230701_lo.oxt 6102145 BLAKE2B ecf95d76415317fb3dbe4c8e2d30fa37f9d798ae979d83d7e3eaab566264a7db12ed3133e8ed5d1580225171143056edd5189b1685064dab201fadbf59466b7e SHA512 3e495fb7c130d2767d88c4ff21f556c4c64f3739d7b1974355f252329fa526b8ac647a6121f1341396ec9170dda96346463a51b2df06d15e1dcccec4f800593e
+DIST dict-en-20230801_lo.oxt 6101620 BLAKE2B 1f7d1f223e40179ffd844fef48f3994e5be6d4015098b6cd639f8a9dcfb21a43c1da72683b973bb7f1eb4b1bdf1e68392d672dcd82e6a360b1cec3dcb5fecaaa SHA512 9716c6579d8c1121e24896d69d82ececd794f3c9161b82a7fa6405e8f4d5259bbd67ec6f026d95ee5927638b34876f63708e9315a2dbed0089ffb9310c7defd0

diff --git a/app-dicts/myspell-en/myspell-en-20230801.ebuild b/app-dicts/myspell-en/myspell-en-20230801.ebuild
new file mode 100644
index 000000000000..0d2c4d1ef04d
--- /dev/null
+++ b/app-dicts/myspell-en/myspell-en-20230801.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit myspell-r2
+
+DESCRIPTION="English dictionaries for myspell/hunspell"
+HOMEPAGE="
+	https://extensions.libreoffice.org/extensions/english-dictionaries
+	https://proofingtoolgui.org
+	https://github.com/marcoagpinto/aoo-mozilla-en-dict
+"
+SRC_URI="https://extensions.libreoffice.org/assets/downloads/41/1690875969/dict-en-20230801_lo.oxt"
+
+LICENSE="BSD MIT LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+PLOCALES=( "en-AU" "en-CA" "en-GB" "en-US" "en-ZA" )
+IUSE+="+l10n_en ${PLOCALES[@]/#/l10n_}"
+REQUIRED_USE="|| ( l10n_en ${PLOCALES[@]/#/l10n_} )"
+
+src_prepare() {
+	if use l10n_en-GB || use l10n_en; then
+		MYSPELL_HYPH+=( "hyph_en_GB.dic" )
+	fi
+	if use l10n_en-US || use l10n_en; then
+		MYSPELL_THES+=(
+			"th_en_US_v2.dat"
+			"th_en_US_v2.idx"
+		)
+		MYSPELL_HYPH+=( "hyph_en_US.dic" )
+	fi
+
+	MYSPELL_DICT=( )
+	for lang in "${PLOCALES[@]}"; do
+		if [[ "${lang}" == "en" ]]; then
+			continue
+		fi
+		local mylinguas="${lang//-/_}"
+		if use "l10n_${lang}" || use l10n_en; then
+			MYSPELL_DICT+=( "${mylinguas}.aff" "${mylinguas}.dic" )
+		else
+			rm "README_${mylinguas}.txt" || die
+			if [[ ${lang} == "en-US" ]]; then
+				rm "README_hyph_en_US.txt" || die
+			fi
+			if [[ ${lang} == "en-GB" ]]; then
+				rm "README_hyph_en_GB.txt" || die
+				rm "README_en_GB_thes.txt" || die
+			fi
+		fi
+	done
+
+	default
+}


             reply	other threads:[~2023-08-18 10:05 UTC|newest]

Thread overview: 73+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-18  8:47 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-10  7:24 [gentoo-commits] repo/gentoo:master commit in: app-dicts/myspell-en/ Joonas Niilola
2024-06-06 16:07 Yixun Lan
2024-06-04 16:42 Arthur Zamarin
2024-06-02  8:09 Joonas Niilola
2024-03-08 12:10 Arthur Zamarin
2024-02-05 19:31 Arthur Zamarin
2024-01-20 13:33 Sam James
2023-12-02  4:03 Sam James
2023-09-05  5:01 Viorel Munteanu
2023-09-04 20:16 Sam James
2023-09-04 15:29 Viorel Munteanu
2023-09-04 15:29 Viorel Munteanu
2023-08-18  8:47 Viorel Munteanu
2023-08-18  8:47 Viorel Munteanu
2023-07-26  7:07 Joonas Niilola
2023-07-14 16:16 Arthur Zamarin
2023-06-09 18:02 Arthur Zamarin
2023-06-03 15:08 Arthur Zamarin
2023-06-03 15:07 Arthur Zamarin
2023-06-01 17:10 Arthur Zamarin
2023-05-07  7:05 Joonas Niilola
2023-05-02 13:19 Joonas Niilola
2023-04-22  9:25 Arthur Zamarin
2023-04-04 19:19 Arthur Zamarin
2023-03-20  7:27 Viorel Munteanu
2023-02-24 16:30 Arthur Zamarin
2023-02-24 16:06 Arthur Zamarin
2023-02-24 15:09 Joonas Niilola
2023-01-05  6:37 Viorel Munteanu
2023-01-05  5:21 Sam James
2023-01-05  5:21 Sam James
2023-01-04 12:50 Arthur Zamarin
2023-01-03 14:42 Viorel Munteanu
2022-11-14 14:31 Joonas Niilola
2022-11-14 14:31 Joonas Niilola
2022-10-27 12:26 Joonas Niilola
2022-09-27 11:47 Joonas Niilola
2022-08-28  8:22 Joonas Niilola
2022-07-02 17:35 Joonas Niilola
2022-04-26  2:58 Sam James
2021-07-12 15:32 Joonas Niilola
2021-07-05  6:57 Agostino Sarubbo
2021-06-10  6:40 Joonas Niilola
2021-06-10  6:40 Joonas Niilola
2021-06-03 14:22 Joonas Niilola
2021-01-06 12:57 Fabian Groffen
2019-07-14 12:42 Michał Górny
2019-04-23 21:39 Aaron Bauman
2019-01-15 23:42 Patrice Clement
2018-11-11  8:25 Michał Górny
2018-11-11  8:25 Michał Górny
2018-11-11  8:25 Michał Górny
2017-06-12 12:02 Michael Palimaka
2017-06-04  6:02 Michael Palimaka
2017-02-16  8:48 Michael Palimaka
2017-01-12 14:19 Michael Palimaka
2016-12-30 16:59 Kacper Kowalik
2016-10-29 10:09 Michael Palimaka
2016-10-29 10:09 Michael Palimaka
2016-10-25 22:40 Kristian Fiskerstrand
2016-09-29  3:59 Jeroen Roovers
2016-09-28 15:31 Michael Palimaka
2016-07-26 13:11 Tobias Klausmann
2016-07-24 18:34 Markus Meier
2016-07-20 16:09 Michael Palimaka
2016-03-17 12:28 Ian Delaney
2016-03-04  7:26 Ian Delaney
2016-03-04  7:26 Ian Delaney
2015-12-25 16:55 Michael Palimaka
2015-12-19 19:00 Patrice Clement
2015-12-19 19:00 Patrice Clement
2015-12-09 15:04 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1692348255.341995f3cdbd5d18c31d146416f372f5bf9d15d7.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox